:root {
    --bg-color: #e8ebf1;
    --bg-color2: #f5f6fa;
    --calc-color: #edeef2;
    --text-color: #68738c;
    --text-color2: #0d38a5;
    --shadow-color: #f7f7f9;
    --shadow-color2: #dedfe3;

    --neomorphic-shadow: 5px 5px 5px var(--shadow-color2), -5px -5px 5px var(--shadow-color);

}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: linear-gradient(to bottom, var(--bg-color), var(--bg-color2));

}

.calculator {
    aspect-ratio: 9/16;
    max-width: 350px;
    max-height: 80%;
    background-color: var(--calc-color);
    box-shadow: var(--neomorphic-shadow);
    border-radius: 20px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;

}

.display {
    background-color: var(--calc-color);
    height: 40%;
    border-radius: 10px;
    margin-top: 20px;
    padding: 10px;
    box-shadow: inset 5px 5px 5px var(--shadow-color2), inset -5px -5px 5px var(--shadow-color);

}

.display input {
    width: 100%;
    height: 50%;
    background-color: transparent;
    border: none;
    outline: none;
    text-align: right;
    font-size: 3rem;
    color: var(--text-color);

}

.display .miniDisplay {
    height: 25%;
    font-size: 2rem;
}

.display .miniDisplay2 {
    height: 25%;
    font-size: 2rem;
}

.keys {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    height: 70%;
}

.keys button {
    aspect-ratio: 1/1;
    background-image: linear-gradient(to bottom right, var(--shadow-color2), var(--shadow-color));
    border: none;
    min-height: 30px;
    border-radius: 50%;
    padding: 10px;
    font-size: 2rem;
    color: var(--text-color);
    outline: none;

    box-shadow: var(--neomorphic-shadow);
}

.keys .equalBtn {
    aspect-ratio: 2/0.9;
    border-radius: 80px;
    background-image: none;
    grid-column: 3/5;
    background-color: var(--text-color2);
    color: white;
}

.theme-switch {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-bottom: 10px;
}

.theme-toggle-label {
    display: inline-block;
    width: 40px;
    height: 20px;
    box-shadow: inset 5px 5px 5px var(--shadow-color2), inset -5px -5px 5px var(--shadow-color);
    border-radius: 20px;
    position: relative;
    cursor: pointer;
}

.theme-toggle-label:after {
    content: '';
    width: 18px;
    height: 18px;
    background-color: var(--text-color2);
    border-radius: 20px;
    position: absolute;
    top: 1px;
    left: 1px;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.theme-switch input {
    display: none;
}

.theme-switch input:checked+.theme-toggle-label:after {
    transform: translateX(20px);
}

.keys .spcBtn {
    color: var(--text-color2);
}